package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class NewConnections extends GenericItem
{
    public static final String NAME = "name";
    public static final String MOBILENO = "mobileNo";
    public static final String EMAILID = "emailId";
    public static final String KYCID = "kycId";
    public static final String STATUS = "status";
    public static final String DESCRIPTION = "description";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return NewConnections.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getDescription(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "description".intern());
    }
    
    public String getDescription() {
        return this.getDescription(this.getSession().getSessionContext());
    }
    
    public void setDescription(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "description".intern(), (Object)value);
    }
    
    public void setDescription(final String value) {
        this.setDescription(this.getSession().getSessionContext(), value);
    }
    
    public String getEmailId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "emailId".intern());
    }
    
    public String getEmailId() {
        return this.getEmailId(this.getSession().getSessionContext());
    }
    
    public void setEmailId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "emailId".intern(), (Object)value);
    }
    
    public void setEmailId(final String value) {
        this.setEmailId(this.getSession().getSessionContext(), value);
    }
    
    public String getKycId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "kycId".intern());
    }
    
    public String getKycId() {
        return this.getKycId(this.getSession().getSessionContext());
    }
    
    public void setKycId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "kycId".intern(), (Object)value);
    }
    
    public void setKycId(final String value) {
        this.setKycId(this.getSession().getSessionContext(), value);
    }
    
    public String getMobileNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileNo".intern());
    }
    
    public String getMobileNo() {
        return this.getMobileNo(this.getSession().getSessionContext());
    }
    
    public void setMobileNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileNo".intern(), (Object)value);
    }
    
    public void setMobileNo(final String value) {
        this.setMobileNo(this.getSession().getSessionContext(), value);
    }
    
    public String getName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "name".intern());
    }
    
    public String getName() {
        return this.getName(this.getSession().getSessionContext());
    }
    
    public void setName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "name".intern(), (Object)value);
    }
    
    public void setName(final String value) {
        this.setName(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "status".intern());
    }
    
    public EnumerationValue getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final EnumerationValue value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("name", Item.AttributeMode.INITIAL);
        tmp.put("mobileNo", Item.AttributeMode.INITIAL);
        tmp.put("emailId", Item.AttributeMode.INITIAL);
        tmp.put("kycId", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        tmp.put("description", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
